#include "mbed.h"

float gas(AnalogIn* inputValue){
    float sensor_volt;
    double RS_gas; //  Get the value of RS via in a clear air
    double R0 = 60;  // Calibration R= 60 dans l'air fresh, sans alcool
    double sensorValue=0;
    float Ratio;
    
    /*--- Get a average data by testing 100 times ---*/
    for(int x = 0 ; x < 50 ; x++)
    {
        sensorValue = sensorValue + inputValue->read();
    }
    sensorValue = sensorValue/50.0;
    
    sensor_volt = sensorValue/1024*5.0;
    RS_gas = (5.0-sensor_volt)/sensor_volt; // omit *RL
    Ratio = RS_gas/60.0; // The ratio of RS/R0 is 60 in a clear air from Graph (Found using WebPlotDigitizer)

    /*printf("sensor_volt = ");
    printf("%f",sensor_volt);
    printf("V");

    printf("Ratio = ");
    printf("%f",Ratio);*/
    return Ratio;
}
